package cn.com.taiji.service;

import cn.com.taiji.domain.FusionQuery;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.ParseException;

/**
 * @author xhl
 * @date 2023/2/6
 */
public interface FusionAnalysisService {

    /**
     * 识别融合数据率波动问题
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelOne(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 虚假推送问题
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelTwo(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 天奥轨迹数据遗漏
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void tianAoLeaveOutExcel(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 北斗轨迹数据遗漏
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void beiDouLeaveOutExcel(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 海兰信1级融合轨迹数据遗漏
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void hlxyjrhLeaveOutExcel(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 天奥静态数据与动态轨迹融合
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void tianaoStaticOrDynamicLeaveOutExcel(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 识别融合速度异常波动问题
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelThree(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 识别融合航向异常波动问题
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelFour(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 导出融合原始数据统计
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelOriginalOne(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 导出北斗原始数据统计
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelOriginalTwo(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 导出天奥原始数据统计
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelOriginalThree(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 导出融合原始数据
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelOriginalFour(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 导出北斗原始数据
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelOriginalFive(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

    /**
     * 导出天奥原始数据
     * @param query
     * @param response
     * @throws IOException
     * @throws ParseException
     */
    void fusionAnalysisExcelOriginalSix(FusionQuery query, HttpServletResponse response) throws IOException, ParseException;

}
